Create a wallet

Requires the WALLET.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
wallet_type_idstringRequired

Resource ID of type WALLET_TYPE

customer_idstringRequired
Resource ID of type CUSTOMER
statusenum or nullOptional
Allowed values:

Response

Created
referencestringformat: "^\S+$"0-256 characters
wallet_type_idstring

Resource ID of type WALLET_TYPE

customer_idstring
Resource ID of type CUSTOMER
object_typestring or nullRead-only
idstring or nullRead-only
statusenum or null
Allowed values:
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error